import { ISharedBikesPricingPlanOutput } from "#sch";
import {
    AJO_PRICING_PLAN_ID,
    AJO_SYSTEM_ID,
    ANYTIME_PRICING_PLAN_ID,
    ANYTIME_SYSTEM_ID,
    AUTONAPUL_PRICING_PLAN_ID,
    AUTONAPUL_SYSTEM_ID,
    CAR4WAY_PRICING_PLAN_ID,
    CAR4WAY_SYSTEM_ID,
} from "#ie/transformations/CeskyCarsharing/transformConstants";

export function getPricingPlans(): ISharedBikesPricingPlanOutput[] {
    return [
        {
            id: AJO_PRICING_PLAN_ID.TARIF_TOP,
            system_id: AJO_SYSTEM_ID,
            url: "https://www.ajo.cz/cenik",
            last_updated: "2022-10-18 14:56",
            name: "Ceník AJO tarif TOP",
            currency: "CZK",
            price: 119,
            is_taxable: false,
            description: "Tarif TOP",
            surge_pricing: false,
        },
        {
            id: AJO_PRICING_PLAN_ID.TARIF_TOP_SUV,
            system_id: AJO_SYSTEM_ID,
            url: "https://www.ajo.cz/cenik",
            last_updated: "2022-10-18 14:56",
            name: "Ceník AJO tarif TOP SUV",
            currency: "CZK",
            price: 119,
            is_taxable: false,
            description: "Tarif TOP pro vozy SUV",
            surge_pricing: false,
        },
        {
            id: ANYTIME_PRICING_PLAN_ID.YARIS,
            system_id: ANYTIME_SYSTEM_ID,
            url: "https://anytimecar.cz/cz/rates.html",
            last_updated: "2022-10-18 14:56",
            name: "Ceník Anytime",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "Ceník Toyota Yaris",
            surge_pricing: false,
        },
        {
            id: ANYTIME_PRICING_PLAN_ID.COROLLA,
            system_id: ANYTIME_SYSTEM_ID,
            url: "https://anytimecar.cz/cz/rates.html",
            last_updated: "2022-10-18 14:56",
            name: "Ceník Anytime",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "Ceník Toyota Corolla",
            surge_pricing: false,
        },
        {
            id: ANYTIME_PRICING_PLAN_ID.CHR,
            system_id: ANYTIME_SYSTEM_ID,
            url: "https://anytimecar.cz/cz/rates.html",
            last_updated: "2022-10-18 14:56",
            name: "Ceník Anytime",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "Ceník Toyota C-HR",
            surge_pricing: false,
        },
        {
            id: AUTONAPUL_PRICING_PLAN_ID.ECONOMY,
            system_id: AUTONAPUL_SYSTEM_ID,
            url: "https://www.autonapul.cz/cenik/",
            last_updated: "2022-11-04 10:24",
            name: "Ceník Autonapůl",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "Cena za vozy kategorie Economy",
            surge_pricing: false,
        },
        {
            id: AUTONAPUL_PRICING_PLAN_ID.STANDARD,
            system_id: AUTONAPUL_SYSTEM_ID,
            url: "https://www.autonapul.cz/cenik/",
            last_updated: "2022-11-04 10:24",
            name: "Ceník Autonapůl",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "Cena za vozy kategorie Standard",
            surge_pricing: false,
        },
        {
            id: AUTONAPUL_PRICING_PLAN_ID.COMFORT,
            system_id: AUTONAPUL_SYSTEM_ID,
            url: "https://www.autonapul.cz/cenik/",
            last_updated: "2022-11-04 10:24",
            name: "Ceník Autonapůl",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "Cena za vozy kategorie Comfort",
            surge_pricing: false,
        },
        {
            id: AUTONAPUL_PRICING_PLAN_ID.GRAND,
            system_id: AUTONAPUL_SYSTEM_ID,
            url: "https://www.autonapul.cz/cenik/",
            last_updated: "2022-11-04 10:24",
            name: "Ceník Autonapůl",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "Cena za vozy kategorie Grand",
            surge_pricing: false,
        },
        {
            id: AUTONAPUL_PRICING_PLAN_ID.ELECTRO,
            system_id: AUTONAPUL_SYSTEM_ID,
            url: "https://www.autonapul.cz/cenik/",
            last_updated: "2022-11-04 10:24",
            name: "Ceník Autonapůl",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "Cena za vozy kategorie Electro",
            surge_pricing: false,
        },
        {
            id: AUTONAPUL_PRICING_PLAN_ID.TESLA,
            system_id: AUTONAPUL_SYSTEM_ID,
            url: "https://www.autonapul.cz/cenik/",
            last_updated: "2022-11-04 10:24",
            name: "Ceník Autonapůl",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "Cena za vozy kategorie Tesla",
            surge_pricing: false,
        },
        {
            id: CAR4WAY_PRICING_PLAN_ID.STANDARD,
            system_id: CAR4WAY_SYSTEM_ID,
            url: "https://www.car4way.cz/carsharing/cenik",
            last_updated: "2022-10-18 14:56",
            name: "Ceník Car4Way Fabia",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "Cena za vozy Fabia",
            surge_pricing: false,
        },
        {
            id: CAR4WAY_PRICING_PLAN_ID.OPTIMUM,
            system_id: CAR4WAY_SYSTEM_ID,
            url: "https://www.car4way.cz/carsharing/cenik",
            last_updated: "2022-10-18 14:56",
            name: "Ceník Car4Way Scala",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "Cena za vozy Scala",
            surge_pricing: false,
        },
        {
            id: CAR4WAY_PRICING_PLAN_ID.SUV,
            system_id: CAR4WAY_SYSTEM_ID,
            url: "https://www.car4way.cz/carsharing/cenik",
            last_updated: "2022-10-18 14:56",
            name: "Ceník Car4Way Karoq",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "Cena za vozy Karoq",
            surge_pricing: false,
        },
        {
            id: CAR4WAY_PRICING_PLAN_ID.BUSINESS,
            system_id: CAR4WAY_SYSTEM_ID,
            url: "https://www.car4way.cz/carsharing/cenik",
            last_updated: "2022-10-18 14:56",
            name: "Ceník Car4Way Octavia",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "Cena za vozy Octavia",
            surge_pricing: false,
        },
        {
            id: CAR4WAY_PRICING_PLAN_ID.MASTER,
            system_id: CAR4WAY_SYSTEM_ID,
            url: "https://www.car4way.cz/carsharing/cenik",
            last_updated: "2022-10-18 14:56",
            name: "Ceník Car4Way Caddy",
            currency: "CZK",
            price: 0,
            is_taxable: false,
            description: "Cena za vozy Caddy",
            surge_pricing: false,
        },
    ];
}
